Search knowledge nodes
curl --request POST \
--url https://api.conduit.ai/v1/kb/nodes/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"parent_id": "65f1a2b3c4d5e6f7a8b9c0d1",
"source": "manual",
"enabled": true
},
"pagination": {
"page_size": 20
},
"include_body": false
}
'import requests
url = "https://api.conduit.ai/v1/kb/nodes/search"
payload = {
"filters": {
"parent_id": "65f1a2b3c4d5e6f7a8b9c0d1",
"source": "manual",
"enabled": True
},
"pagination": { "page_size": 20 },
"include_body": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {parent_id: '65f1a2b3c4d5e6f7a8b9c0d1', source: 'manual', enabled: true},
pagination: {page_size: 20},
include_body: false
})
};
fetch('https://api.conduit.ai/v1/kb/nodes/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"workspace_id": "<string>",
"title": "<string>",
"body": "<string>",
"chunk_body": true,
"entity_ids": [
"<string>"
],
"parent_id": "<string>",
"ancestors": [
"<string>"
],
"depth": 123,
"source_id": "<string>",
"is_directory": true,
"metadata": {},
"enabled": true,
"created_by": "<string>",
"embed_status": "<string>",
"chunk_count": 123,
"version": 123,
"tags": [
"<string>"
],
"created_at": "<string>",
"updated_at": "<string>"
}
],
"next_cursor": "<string>",
"has_more": true,
"total_count": 123
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}Knowledge Base
Search Knowledge Nodes
Search for knowledge base nodes by title, content, or other attributes.
POST
/
v1
/
kb
/
nodes
/
search
Search knowledge nodes
Authorizations
Conduit API token. Use Authorization: Bearer <token>. Read/write endpoints require a token with write access.
Query Parameters
Workspace to query.
Example:
"j57demo8f8x7c9v0n2q4r6t8y1u3i5o"
Body
application/json
Was this page helpful?
⌘I